<?php

namespace App\Modules\PackageFee\Domain;

use App\Modules\Shared\Domain\ValueObject\EnumValueObject;

class PackageFeeType extends EnumValueObject
{

    public const PERCENTAGE = 1;
    public const FIXED = 2;
    
    public static function values(): array
    {
        return [ self::PERCENTAGE, self::FIXED ];
    }
    
    public static function defaultValue()
    {
        return self::FIXED;
    }
}
